diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index 22cf833f..1ad4d068 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -1348,16 +1393,20 @@
   <wsdl:message name="addSuppliedDocumentResponse">
     <wsdl:part element="tns:addSuppliedDocumentResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="createUpdateQuotient">
     <wsdl:part element="tns:createUpdateQuotient" name="parameters">
     </wsdl:part>
   </wsdl:message>
+  <wsdl:message name="getLevelResponse">
+    <wsdl:part element="tns:getLevelResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
   <wsdl:message name="readDietCodeListResponse">
     <wsdl:part element="tns:readDietCodeListResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getActivityRate">
     <wsdl:part element="tns:getActivityRate" name="parameters">
     </wsdl:part>
   </wsdl:message>
@@ -1487,16 +1536,36 @@
  Retourne la liste des code valeur pour les régimes aliementaires</wsdl:documentation>
       <wsdl:input message="tns:readDietCodeList" name="readDietCodeList">
     </wsdl:input>
       <wsdl:output message="tns:readDietCodeListResponse" name="readDietCodeListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="createOrUpdateChildDiet">
+<wsdl:documentation>Méthode de création/modification d'un dietcode
+
+Cette méthode permet de mettre à jour les informations le régime alimentaire pour un enfant
+
+ ------------------------------
+ personNumber : numéro de l'enfant (obligatoire)
+ code : code du regime alimentaire (obligatoire)
+
+ -----------------------------
+ Traitement : 
+ Si numéro personne trouvé
+ Mise à jour du régime alimentaire </wsdl:documentation>
+      <wsdl:input message="tns:createOrUpdateChildDiet" name="createOrUpdateChildDiet">
+    </wsdl:input>
+      <wsdl:output message="tns:createOrUpdateChildDietResponse" name="createOrUpdateChildDietResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="readFamily">
 <wsdl:documentation>Méthode de lecture de la famille
   
 
  -------------------------
  dossierNumber: numéro de dossier famille
  schoolYear : année scolaire (facultatif)
  incomeYear : année des revenus (facultatif), à fournir pour lecture du quotient 
@@ -1572,32 +1641,46 @@
 <wsdl:documentation>Méthode de mise à jour de la situation familiale
 
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  category : code catégorie familiale 
  situation : code situation familiale 
  flagCom : code/hors commune 
- nbChild : nombre d'enfants à charge
- nbTotalChild : nombre d'enfants  
+ nbChild : nombre d'enfants à charge max 99
+ nbTotalChild : nombre d'enfants max 99  
 
  -----------------------------
  Traitement : 
  Le numéro de dossier doit toujours être fourni pour identifier la famille.
  Les données sont mises à jour :
  Si une valeur n'est pas fournie, on ne fait rien sur la valeur en base de données.
  Si elle est fournie vide, on efface l'ancienne valeur dans la base de données. </wsdl:documentation>
       <wsdl:input message="tns:updateFamilySituation" name="updateFamilySituation">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilySituationResponse" name="updateFamilySituationResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="getLevel">
+<wsdl:documentation>Méthode pour avoir le niveau scolaire d'un enfant
+
+ -------------------------
+ 	- personNumber : le numéro de l'enfant (obligatoire)
+	- schoolYear : l'année scolaire (obligatoire)
+ Retourne les informations du niveau scolaire </wsdl:documentation>
+      <wsdl:input message="tns:getLevel" name="getLevel">
+    </wsdl:input>
+      <wsdl:output message="tns:getLevelResponse" name="getLevelResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="createOrUpdateFSL">
 <wsdl:documentation>Méthode de création ou mise à jour de la fiche sanitaire
 
 Cette méthode permet de mettre à jour les informations relatives au FSL pour un enfant
 
  ------------------------------
  personNumber : numéro de l'enfant (obligatoire)
  fslBean : les informations de la fiche sanitaire (obligatoire)
@@ -1631,16 +1714,33 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
 		Si une inscription existe pour l'année scolaire				Retour Erreur			Sinon				Création de l'Inscription scolaire pour le niveau correspondant à l'âge de l'enfant et pour l'école du périmètre de l'adresse de la famille		Retour Inscription</wsdl:documentation>
       <wsdl:input message="tns:subscribeSchool" name="subscribeSchool">
     </wsdl:input>
       <wsdl:output message="tns:subscribeSchoolResponse" name="subscribeSchoolResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="updateFamilyEmergencyPersonList">
+<wsdl:documentation>Méthode de mise à jour de la liste des personnes à prévenir sur la famille
+ La liste comporte toutes les personnes à prévenir. 
+ Les personnes non présentes dans cette liste sont supprimées en tant que personne à prévenir.
+
+ ------------------------------
+ numDossier : numéro de dossier famille  (obligatoire)
+ emergencyPersonList : liste des personnes à prévenir
+
+ -----------------------------</wsdl:documentation>
+      <wsdl:input message="tns:updateFamilyEmergencyPersonList" name="updateFamilyEmergencyPersonList">
+    </wsdl:input>
+      <wsdl:output message="tns:updateFamilyEmergencyPersonListResponse" name="updateFamilyEmergencyPersonListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateCoordinate">
 <wsdl:documentation>Méthode de mise à jour des coordonnées d'une personne
 
 
  ------------------------------
  numDossier : numéro de dossier famille  (obligatoire)
  numPerson : numéro de personne (obligatoire) 
  adresse : adresse de la personne 
@@ -1666,19 +1766,19 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
     <wsdl:operation name="updateFamily">
 <wsdl:documentation> Méthode de modification de la Famille 
 
 
  --------------------  
  category : code catégorie familiale (obligatoire)
  situation : code situation familiale (obligatoire)
  flagCom : code/hors commune 
- nbChild : nombre d'enfants à charge
- nbTotalChild : nombre d'enfants  
- nbAES : nombre d'AES 
+ nbChild : nombre d'enfants à charge max 99
+ nbTotalChild : nombre d'enfants  max 99
+ nbAES : nombre d'AES max 99
  rl1 : responsable légal 1 (facultatif) 
  rl2 : résponsable légal 2 (facultatif)  
  childList : la liste des enfants (facultatif)
  isForceCreateChild : null ou false et doublon de RL1 ou d'enfant détecté
  authorizedPersonList : liste des personnes autorisées à récupérer les enfants  
  indicatorList : liste des indicateurs 
  emergencyPersonList : la liste des personnes à prévenir  
 
@@ -1698,18 +1798,17 @@ Cette méthode permet de mettre à jour les informations relatives au FSL pour u
  Un traitement de recherche de doublon est effectué pour la création des enfants.
  Pour tous les enfants, on recherche si on trouve un enfant qui existe avec les mêmes nom, prénom et date de naissance.
  En cas de doublon :
 	*	Si paramètre de forçage absent ou à faux, la méthode renvoie pour chaque personne trouvée, le numéro de dossier famille où l'enfant a été trouvé avec le numéro de personne et le nom/prénom de la personne en doublon.
 	*	Si paramètre de forçage fourni à vrai, la méthode crée l'enfant s'il est trouvé dans un autre dossier famille.
  Pour la liste des personnes à prévenir (emergencyPersonList) et la liste des personnes autorisées à récupérer les enfants de la famille (authorizedPersonList), lorsque ces blocs sont présents mais qu'ils ne comportent aucune personne, tous les liens des personnes existantes de la liste sont supprimés : cela permet de vider complètement la liste.
 
  ----------------------
- Cas où isForceCreatechild = null ou false et doublon de RL1 ou d'enfant détecté : 
- 	* rl1ErrorList : Le cas échéant, à chaque doublon de RL, message précisant les n° de personne et n° de famille dans lesquelles la personne est déjà présente en tant que RL.
+ Cas où isForceCreatechild = null ou false et doublon d'enfant détecté : 
 	* childErrorList : Le cas échéant, à chaque doublon d'enfant détecté correspondra un message précisant les n° de personne et n° de familles dans lesquelles il est déjà présent.
  </wsdl:documentation>
       <wsdl:input message="tns:updateFamily" name="updateFamily">
     </wsdl:input>
       <wsdl:output message="tns:updateFamilyResponse" name="updateFamilyResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
@@ -1855,16 +1954,27 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
  Retourne la liste des code valeur pour les situations</wsdl:documentation>
       <wsdl:input message="tns:readSituationList" name="readSituationList">
     </wsdl:input>
       <wsdl:output message="tns:readSituationListResponse" name="readSituationListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="updateChildMedicalRecord">
+<wsdl:documentation>Méthode pour la mise à jour des données médicales d'un enfant
+
+ -------------------------</wsdl:documentation>
+      <wsdl:input message="tns:updateChildMedicalRecord" name="updateChildMedicalRecord">
+    </wsdl:input>
+      <wsdl:output message="tns:updateChildMedicalRecordResponse" name="updateChildMedicalRecordResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="createChild">
 <wsdl:documentation> Méthode de création d'un enfant 
 
 
 -------------------------
  numDossier : numéro de dossier famille (obligatoire)
  child : informations sur l'enfant (obligatoire)
  isForceCreateChild :  null ou false et doublon d'enfant détecté 
@@ -2013,19 +2123,19 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
     <wsdl:operation name="createFamily">
 <wsdl:documentation>Méthode de création de la Famille 
   
 
  -------------------------
  category : code catégorie familiale (obligatoire)
  situation : code situation familiale (obligatoire)
  flagCom : code/hors commune 
- nbChild : nombre d'enfants à charge
- nbTotalChild : nombre d'enfants  
- nbAES : nombre d'AES 
+ nbChild : nombre d'enfants à charge max 99
+ nbTotalChild : nombre d'enfants  max 99
+ nbAES : nombre d'AES max 99
  rl1 : responsable légal 1 (obligatoire)
  rl2 : résponsable légal 2 (facultatif)  
  childList : la liste des enfants 
  isForceCreateChild : null ou false et doublon de RL1 ou d'enfant détecté
  authorizedPersonList : liste des personnes autorisées à récupérer les enfants  
  indicatorList : liste des indicateurs 
  emergencyPersonList : la liste des personnes à prévenir  
  Retourne le dossier famille
@@ -2217,16 +2327,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="readDietCodeListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="createOrUpdateChildDiet">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="createOrUpdateChildDiet">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="createOrUpdateChildDietResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="readFamily">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="readFamily">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="readFamilyResponse">
         <soap:body use="literal"/>
       </wsdl:output>
@@ -2289,16 +2411,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="updateFamilySituationResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="getLevel">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getLevel">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getLevelResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="createOrUpdateFSL">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="createOrUpdateFSL">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="createOrUpdateFSLResponse">
         <soap:body use="literal"/>
       </wsdl:output>
@@ -2313,16 +2447,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="subscribeSchoolResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="updateFamilyEmergencyPersonList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="updateFamilyEmergencyPersonList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="updateFamilyEmergencyPersonListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateCoordinate">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="updateCoordinate">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="updateCoordinateResponse">
         <soap:body use="literal"/>
       </wsdl:output>
@@ -2412,16 +2558,28 @@ Cette méthode permet de mettre à jour les informations relatives au PAI pour u
       </wsdl:input>
       <wsdl:output name="readSituationListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisFamilyException">
         <soap:fault name="MaelisFamilyException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="updateChildMedicalRecord">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="updateChildMedicalRecord">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="updateChildMedicalRecordResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisFamilyException">
+        <soap:fault name="MaelisFamilyException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="createChild">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="createChild">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="createChildResponse">
         <soap:body use="literal"/>
       </wsdl:output>
diff --git a/tests/data/toulouse_maelis/InvoiceService.wsdl b/tests/data/toulouse_maelis/InvoiceService.wsdl
index ea17348e..b0817966 100644
--- a/tests/data/toulouse_maelis/InvoiceService.wsdl
+++ b/tests/data/toulouse_maelis/InvoiceService.wsdl
@@ -1,12 +1,12 @@
 <?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="ws.maelis.sigec.com" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="InvoiceService" targetNamespace="ws.maelis.sigec.com">
   <wsdl:types>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="ws.maelis.sigec.com" xmlns:ns1="bean.persistence.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="ws.maelis.sigec.com">
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="ws.maelis.sigec.com" xmlns:ns1="bean.persistence.invoice.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="ws.maelis.sigec.com">
+  <xs:import namespace="bean.persistence.invoice.ws.maelis.sigec.com"/>
   <xs:element name="addDirectDebitOrder" type="tns:addDirectDebitOrder"/>
   <xs:element name="addDirectDebitOrderResponse" type="tns:addDirectDebitOrderResponse"/>
   <xs:element name="getDirectDebitOrder" type="tns:getDirectDebitOrder"/>
   <xs:element name="getDirectDebitOrderResponse" type="tns:getDirectDebitOrderResponse"/>
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
   <xs:element name="payInvoices" type="tns:payInvoices"/>
   <xs:element name="payInvoicesResponse" type="tns:payInvoicesResponse"/>
@@ -96,17 +96,17 @@
   <xs:element name="MaelisAccountException" type="tns:MaelisAccountException"/>
   <xs:complexType name="MaelisAccountException">
     <xs:sequence>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 </xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="ws.maelis.sigec.com" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.invoice.ws.maelis.sigec.com" xmlns:ns1="ws.maelis.sigec.com" targetNamespace="bean.persistence.invoice.ws.maelis.sigec.com" version="1.0">
 
   <xs:import namespace="ws.maelis.sigec.com"/>
 
   <xs:complexType name="personBankBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
           <xs:element name="bankBIC" type="xs:string"/>
-- 
2.30.2

